Remove site partners from an asset group
curl --request PATCH \
--url https://api.lynkwell.com/asset-management/v1/asset-groups/{assetGroupId}/remove-site-partners \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"sitePartners": [
"<string>"
]
}
'import requests
url = "https://api.lynkwell.com/asset-management/v1/asset-groups/{assetGroupId}/remove-site-partners"
payload = { "sitePartners": ["<string>"] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({sitePartners: ['<string>']})
};
fetch('https://api.lynkwell.com/asset-management/v1/asset-groups/{assetGroupId}/remove-site-partners', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "<string>",
"type": "location",
"network": {
"id": "<string>"
},
"sitePartners": [
{
"id": "<string>"
}
],
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"location": {
"name": "<string>",
"visibility": "EMPLOYEE_ONLY",
"contactDetails": {
"phone": "<string>",
"email": "jsmith@example.com",
"website": "<string>",
"facebook": "<string>",
"linkedIn": "<string>"
},
"businessType": "HOTEL",
"physicalAddress": {
"streetNumber": "<string>",
"streetName": "<string>",
"city": "<string>",
"state": "AL",
"postalCode": "<string>",
"countryCode": "US",
"streetDetails": "<string>"
},
"hours": {
"twentyfourseven": true,
"regularHours": [
{
"weekday": 123,
"periodBegin": "<string>",
"periodEnd": "<string>"
}
],
"exceptionalOpenings": [
{
"periodBegin": "<string>",
"periodEnd": "<string>"
}
],
"exceptionalClosings": [
{
"periodBegin": "<string>",
"periodEnd": "<string>"
}
]
},
"geoLocation": {
"longitude": 0,
"latitude": 0
},
"timezone": "<string>",
"allowChargingWhenClosed": true,
"taxConfig": {
"totalPercentSalesTax": 123,
"energyPerKwhExciseTax": 123
},
"openingDate": "2023-11-07T05:31:56Z",
"images": [
{
"url": "<string>",
"category": "<string>",
"imgType": "<string>",
"thumbnail": "<string>"
}
],
"directionHint": "<string>",
"parkingType": "PARKING_GARAGE",
"amenities": [
"<string>"
],
"visibilityNote": "<string>",
"industryVertical": "RETAIL_AND_HOSPITALITY"
},
"metadata": {}
}
}{
"type": "BAD_REQUEST",
"code": "INVALID_REQUEST_PARAMETERS",
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"type": "CONFLICT",
"code": "CONFLICTING_SECURITY_PROFILE_STATE",
"message": "<string>"
}{
"type": "INTERNAL_ERROR",
"code": "INTERNAL_SERVER_ERROR",
"message": "<string>"
}Asset Groups
Remove site partners from an asset group
This endpoint allows you to remove site partners from an asset group.
PATCH
/
asset-management
/
v1
/
asset-groups
/
{assetGroupId}
/
remove-site-partners
Remove site partners from an asset group
Authorizations
OAuth2 Client Credentials Flow
Path Parameters
The ID of the asset group to add site partners to
Body
application/json
To remove a site partner to an asset group specify a list of site partner ids
Response
Success
Show child attributes
Show child attributes